> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete payment method

> Delete an existing customer payment method.



## OpenAPI

````yaml delete /v1/customers/{id}/payment-methods/{paymentMethodId}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/customers/{id}/payment-methods/{paymentMethodId}:
    delete:
      tags:
        - Customers > Payment methods
      summary: Delete payment method
      description: Delete an existing customer payment method.
      operationId: deleteCustomerPaymentMethod
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: string
          required: true
          name: paymentMethodId
          in: path
      responses:
        '204':
          description: ''
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````